Bug 1480239 - CVE-2017-2885 mingw-libsoup: libsoup: Stack based buffer overflow with HTTP Chunked Encoding [epel-7]
CVE-2017-2885 mingw-libsoup: libsoup: Stack based buffer overflow with HTTP C...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: mingw-libsoup (Show other bugs)
epel7
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2017-2885
  Show dependency treegraph
 
Reported: 2017-08-10 09:16 EDT by Stefan Cornelius
Modified: 2017-08-28 12:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: mingw-libsoup-2.56.1-1.el7
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-28 12:19:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Stefan Cornelius 2017-08-10 09:16:26 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1479281

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new
Comment 2 Fedora Update System 2017-08-10 17:47:00 EDT
mingw-libsoup-2.56.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b69fde3111
Comment 3 Fedora Update System 2017-08-11 20:21:21 EDT
mingw-libsoup-2.56.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b69fde3111
Comment 4 Fedora Update System 2017-08-28 12:19:41 EDT
mingw-libsoup-2.56.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.